Summary: Menu generation tool for X window managers
Name: wmconfig
Version: 1.4.7
Release: 1
License: GPL
Vendor: Tommy Scheunemann <net@arrishq.net>
Group: User Interface/X
Source: https://www.arrishq.net/files/wmconfig-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr

%description
Wmconfig is a free menu generation tool for various X window managers.
It is easy-to-use and uses a simple configuration file layout.

%prep
%setup

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
make install DESTDIR=${RPM_BUILD_ROOT} prefix=%{prefix}/
gzip ${RPM_BUILD_ROOT}%{_mandir}/man1/wmconfig.1x

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{prefix}/bin/wmconfig
%doc %{prefix}/share/man/man1/wmconfig.1x.gz
%doc AUTHORS COPYING NEWS README TODO
%config(noreplace)/etc/wmconfig/Applications
%config(noreplace)/etc/wmconfig/Astronomy
%config(noreplace)/etc/wmconfig/Desktop
%config(noreplace)/etc/wmconfig/Development
%config(noreplace)/etc/wmconfig/Editors
%config(noreplace)/etc/wmconfig/Edutainment
%config(noreplace)/etc/wmconfig/Funcs
%config(noreplace)/etc/wmconfig/Games
%config(noreplace)/etc/wmconfig/Graphics
%config(noreplace)/etc/wmconfig/Graphics_Viewers
%config(noreplace)/etc/wmconfig/Multimedia
%config(noreplace)/etc/wmconfig/Network
%config(noreplace)/etc/wmconfig/Office
%config(noreplace)/etc/wmconfig/Office_Viewers
%config(noreplace)/etc/wmconfig/Shells
%config(noreplace)/etc/wmconfig/System
%config(noreplace)/etc/wmconfig/Utilities
%lang(de) %{prefix}/share/locale/de/LC_MESSAGES/wmconfig.mo
%lang(fr) %{prefix}/share/locale/fr/LC_MESSAGES/wmconfig.mo
%lang(eu) %{prefix}/share/locale/ru/LC_MESSAGES/wmconfig.mo

%changelog
* Wed Jul 30 2014 Tommy Scheunemann <net@arrishq.net>
- update to version 1.4.7
* Sat May 04 2014 Tommy Scheunemann <net@arrishq.net>
- initial spec file
